Package de.gebit.integrity.runner.results

## Class FixtureExecutionResult

- java.lang.Object
- - de.gebit.integrity.runner.results.Result
  - - de.gebit.integrity.runner.results.FixtureExecutionResult

- Direct Known Subclasses:
    `CallResult`, `TestResult`, `TestSubResult`

      public abstract class FixtureExecutionResult
      extends Result

  Base class for results which are based on the execution of a fixture method.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FixtureExecutionResult​(FixtureWrapper<?> aFixtureInstance, String aFixtureMethod, Long anExecutionTime, List<ExtendedResultFixture.ExtendedResult> anExtendedResultList)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<ExtendedResultFixture.ExtendedResult>` | `getExtendedResults()` |
    `FixtureWrapper<?>` | `getFixtureInstance()` |
    `String` | `getFixtureMethod()` |

    - ### Methods inherited from class de.gebit.integrity.runner.results.Result

      `getExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixtureExecutionResult

          public FixtureExecutionResult​(FixtureWrapper<?> aFixtureInstance,
                                        String aFixtureMethod,
                                        Long anExecutionTime,
                                        List<ExtendedResultFixture.ExtendedResult> anExtendedResultList)

      Creates a new instance.
      Parameters:
        `aFixtureInstance` - The fixture instance (wrapped) - may be null if no fixtures are called in the current phase (for example during the dry run).
        `aFixtureMethod` - the method that was executed
        `anExecutionTime` - The time required for execution

  - ### Method Detail

    - #### getFixtureInstance

          public FixtureWrapper<?> getFixtureInstance()

    - #### getFixtureMethod

          public String getFixtureMethod()

    - #### getExtendedResults

          public List<ExtendedResultFixture.ExtendedResult> getExtendedResults()